package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.Classes.Froilanda;
import com.zipcodewilmington.froilansfarm.Classes.Person;
import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import com.zipcodewilmington.froilansfarm.Interfaces.Pilot;
import org.junit.Before;
import org.junit.Test;

public class B_MondayTest {

    Farm farm;

    @Before public void setup(){
        this.farm = new Farm();
    }

    @Test public void MondayTest(){
        for (Person person : farm.homestead) {
            if (person instanceof Froilanda) {
                ((Froilanda) person).fly(farm.aircraft);
                farm.aircraft.operate(farm);
                farm.aircraft.makeNoise();
                for (CropRow croprow: farm.field) {
                    farm.aircraft.fertilize(croprow);
                }
            }
        }
    }

}
