package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.Classes.*;
import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import com.zipcodewilmington.froilansfarm.Interfaces.Pilot;
import org.junit.Before;
import org.junit.Test;

public class C_TuesdayTest {

    Farm farm;

    @Before public void setup(){
        this.farm = new Farm();
    }

    @Test public void TuesdayTest(){
        for (Person person : farm.homestead) {
            if (person instanceof Froilan) {
                ((Froilan) person).mount(farm.tractor);
                farm.tractor.operate(farm);
                ((Froilan) person).ride(farm.tractor);
                for (CropRow cropRow : farm.field) {
                    farm.tractor.harvest(cropRow);
                }
                ((Froilan) person).dismount(farm.tractor);
            }
            if (person instanceof Feelan) {
                CornStalk corn = new CornStalk();
                ((Feelan) person).plant(farm.field, farm.field.size()-1, corn);
            }
        }
    }
}
