package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.Classes.Feelan;
import com.zipcodewilmington.froilansfarm.Classes.Person;
import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import com.zipcodewilmington.froilansfarm.Interfaces.Pilot;
import org.junit.Before;
import org.junit.Test;

public class D_WednesdayTest {

    Farm farm;

    @Before public void setup(){
        this.farm = new Farm();
    }

    @Test
    public void WednesdayTest(){
        for (Person person : farm.homestead) {
            if (person instanceof Feelan) {
                ((Feelan) person).fly(farm.aircraft);
                farm.aircraft.operate(farm);
                CropRow lastRow = farm.field.get(farm.field.size()-1);
                farm.aircraft.fertilize(lastRow);
            }
        }
    }
}
