package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.Classes.Chicken;
import com.zipcodewilmington.froilansfarm.Classes.Froilan;
import com.zipcodewilmington.froilansfarm.Classes.Froilanda;
import com.zipcodewilmington.froilansfarm.Classes.Person;
import com.zipcodewilmington.froilansfarm.Collections.ChickenCoop;
import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import com.zipcodewilmington.froilansfarm.Interfaces.Farmer;
import com.zipcodewilmington.froilansfarm.Interfaces.Pilot;
import org.junit.Before;
import org.junit.Test;

public class E_ThursdayTest {

    Farm farm;

    @Before public void setup(){
        this.farm = new Farm();
    }

    @Test
    public void ThursdayTest(){
        for (Person person : farm.homestead) {
            if (person instanceof Froilan) {
                ((Froilan) person).mount(farm.tractor);
                farm.tractor.operate(farm);
                ((Froilan) person).ride(farm.tractor);
                CropRow lastRow = farm.field.get(farm.field.size()-1);
                farm.tractor.harvest(lastRow);
                ((Froilan) person).dismount(farm.tractor);
            }
            if (person instanceof Farmer) {
                for (ChickenCoop chickenCoop : farm.coops) {
                    for (Chicken chicken : chickenCoop) {
                        ((Farmer) person).collect(chicken);
                    }
                }
            }
        }

    }

}
