package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.Classes.CornStalk;
import com.zipcodewilmington.froilansfarm.Classes.Person;
import com.zipcodewilmington.froilansfarm.Classes.SoybeanPlant;
import com.zipcodewilmington.froilansfarm.Classes.TomatoPlant;
import com.zipcodewilmington.froilansfarm.Interfaces.Farmer;
import org.junit.Before;
import org.junit.Test;

public class A_SundayTest {

    Farm farm;

    @Before public void setup(){
        this.farm = new Farm();
    }

    @Test public void SundayTest(){
        farm.morningRitual();

        for (Person person : farm.homestead) {
            if (person instanceof Farmer) {
                Farmer farmer = (Farmer) person;
                switch (person.getName()) {
                    case "Froilan":
                        farmer.plant(farm.field, 0, new TomatoPlant());
                        farmer.plant(farm.field, 1, new CornStalk());
                        break;
                    case "Feelan":
                        farmer.plant(farm.field, 2, new SoybeanPlant());
                        break;
                    default:
                        System.out.println("Who the heck is this in my field? GTFO!");
                }
            }
        }
    }

}
