package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.Classes.*;
import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import com.zipcodewilmington.froilansfarm.Interfaces.Farmer;
import org.junit.Before;
import org.junit.Test;

public class F_FridayTest {

    Farm farm;

    @Before public void setup(){
        this.farm = new Farm();
    }

    @Test
    public void ThursdayTest() {
        for (Person person : farm.homestead) {
            if (person instanceof Farmer) {
                Farmer farmer = (Farmer) person;
                switch (person.getName()) {
                    case "Froilan":
                        farmer.plant(farm.field, 0, new TomatoPlant());
                        farmer.plant(farm.field, 1, new CornStalk());
                        farmer.plant(farm.field, 2, new SoybeanPlant());
                        break;
                    case "Feelan":
                        farmer.plant(farm.field, 3, new SoybeanPlant());
                        farmer.plant(farm.field, 4, new SoybeanPlant());
                        break;
                    default:
                        System.out.println("Who the heck is this in my field? GTFO!");
                }
            }
        }
    }
}
