package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.Classes.*;
import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import org.junit.Before;
import org.junit.Test;

public class G_SaturdayTest {

    Farm farm;

    @Before public void setup(){
        this.farm = new Farm();
    }

    @Test
    public void ThursdayTest() {
        for (Person person : farm.homestead) {
            person.makeNoise();
            if (person instanceof Froilan) {
                ((Froilan) person).mount(farm.manureSpreader);
                farm.manureSpreader.operate(farm);
                ((Froilan) person).ride(farm.manureSpreader);
                for (CropRow cropRow : farm.field) {
                    farm.manureSpreader.fertilize(cropRow);
                }
                ((Froilan) person).dismount(farm.manureSpreader);
            }
        }

    }
}
